libzypp 17.37.10

RepoindexFileReader.h File Reference

Interface of repoindex.xml file reader. More...

`#include <zypp/base/PtrTypes.h>`
`#include <zypp/base/NonCopyable.h>`
`#include <zypp/base/Function.h>`
`#include <zypp-core/base/InputStream>`
`#include <zypp/Pathname.h>`
`#include <zypp/Date.h>`

Go to the source code of this file.

## Classes
class | zypp::parser::RepoindexFileReader
| Reads through a repoindex.xml file and collects repositories. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::parser

## Detailed Description

Interface of repoindex.xml file reader.

Definition in file RepoindexFileReader.h.